Create New a New Optionlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
POST /profiles/{profile_id}/optionlists

Path parameters

  • profile_id string Required

    id of the profile

application/json

Body

  • name string Required
  • option_icons string
  • reference_id string

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created option list id

POST /profiles/{profile_id}/optionlists
curl \
 --request POST 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/optionlists' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"System Grade","option_icons":"dropbox://iForm","reference_id":"string"}'
Request examples
{
  "name": "System Grade",
  "option_icons": "dropbox://iForm",
  "reference_id": "string"
}
Response examples (201)
{
  "id": 393655
}